Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - m -

- make_color() : openvrml::color
- make_color_rgba() : openvrml::color_rgba
- make_mat4f() : openvrml::mat4f
- make_quatf() : openvrml::quatf
- make_rotation() : openvrml::rotation
- make_rotation_mat4f() : openvrml::mat4f
- make_scale_mat4f() : openvrml::mat4f
- make_transformation_mat4f() : openvrml::mat4f
- make_translation_mat4f() : openvrml::mat4f
- make_vec2d() : openvrml::vec2d
- make_vec2f() : openvrml::vec2f
- make_vec3d() : openvrml::vec3d
- make_vec3f() : openvrml::vec3f
- map_ : openvrml::browser::node_metatype_map
- map_t : openvrml::browser::node_metatype_map
- mat : openvrml::mat4f
- material() : openvrml::appearance_node
- material_node() : openvrml::material_node
- matrix() : openvrml::rendering_context
- max_lights : openvrml::gl::viewer
- maximize() : openvrml::bounding_volume
- maximized() : openvrml::bounding_volume
- maxsensitive : openvrml::gl::viewer
- meta() : openvrml::scene
- meta_ : openvrml::scene
- meta_keys() : openvrml::scene
- meta_mutex_ : openvrml::scene
- metadata : openvrml::node_impl_util::abstract_node< Derived >
- metadata_ : openvrml::script_node
- metadata_changed_emitter() : openvrml::script_node::metadata_changed_emitter
- metadata_changed_emitter_ : openvrml::script_node
- metatype() : openvrml::node_type
- metatype_ : openvrml::node_type
- mfbool() : openvrml::mfbool
- mfbool_id : openvrml::field_value
- mfbool_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfcolor() : openvrml::mfcolor
- mfcolor_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfcolor_id : openvrml::field_value
- mfcolor_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfcolorrgba() : openvrml::mfcolorrgba
- mfcolorrgba_id : openvrml::field_value
- mfcolorrgba_listener : openvrml::script_node
- mfdouble() : openvrml::mfdouble
- mfdouble_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfdouble_id : openvrml::field_value
- mfdouble_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mffloat() : openvrml::mffloat
- mffloat_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mffloat_id : openvrml::field_value
- mffloat_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfimage() : openvrml::mfimage
- mfimage_id : openvrml::field_value
- mfimage_listener : openvrml::script_node
- mfint32() : openvrml::mfint32
- mfint32_id : openvrml::field_value
- mfint32_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfnode() : openvrml::mfnode
- mfnode_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfnode_id : openvrml::field_value
- mfnode_listener : openvrml::script_node , openvrml::node_impl_util::abstract_node< Derived >
- mfrotation() : openvrml::mfrotation
- mfrotation_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfrotation_id : openvrml::field_value
- mfrotation_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfstring() : openvrml::mfstring
- mfstring_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfstring_id : openvrml::field_value
- mfstring_listener : openvrml::script_node , openvrml::node_impl_util::abstract_node< Derived >
- mftime() : openvrml::mftime
- mftime_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mftime_id : openvrml::field_value
- mftime_listener : openvrml::script_node , openvrml::node_impl_util::abstract_node< Derived >
- mfvec2d() : openvrml::mfvec2d
- mfvec2d_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfvec2d_id : openvrml::field_value
- mfvec2d_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfvec2f() : openvrml::mfvec2f
- mfvec2f_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfvec2f_id : openvrml::field_value
- mfvec2f_listener : openvrml::script_node , openvrml::node_impl_util::abstract_node< Derived >
- mfvec3d() : openvrml::mfvec3d
- mfvec3d_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfvec3d_id : openvrml::field_value
- mfvec3d_listener : openvrml::node_impl_util::abstract_node< Derived > , openvrml::script_node
- mfvec3f() : openvrml::mfvec3f
- mfvec3f_emitter : openvrml::node_impl_util::abstract_node< Derived >
- mfvec3f_id : openvrml::field_value
- mfvec3f_listener : openvrml::script_node , openvrml::node_impl_util::abstract_node< Derived >
- mode() : openvrml::viewer
- modelview : openvrml::rendering_context
- modelview_matrix_stack() : openvrml::gl::viewer::modelview_matrix_stack
- modelview_matrix_stack_ : openvrml::gl::viewer
- modified() : openvrml::node , openvrml::browser , openvrml::node , openvrml::script_node::eventout , openvrml::browser
- modified_ : openvrml::node , openvrml::script_node::eventout , openvrml::browser
- modified_mutex_ : openvrml::node , openvrml::browser
- must_evaluate() : openvrml::script , openvrml::script_node
- mutex_ : openvrml::read_write_mutex::scoped_write_lock , openvrml::browser::node_metatype_map , openvrml::field_value::counted_impl< ValueType > , openvrml::read_write_mutex , openvrml::read_write_mutex::scoped_read_lock